add a top level Other for those people who aren't running Debian or Ubuntu
authorMicah Anderson <micah@riseup.net>
Wed, 4 Nov 2015 22:24:29 +0000 (17:24 -0500)
committerMicah Anderson <micah@riseup.net>
Wed, 4 Nov 2015 22:24:29 +0000 (17:24 -0500)
pages/linux/en.text

index 73e23dd..b190b09 100644 (file)
@@ -155,6 +155,44 @@ Then download the appropriate version below:
 
 If you want to make sure that the Bitmask wasn't messed with during download you can [[authenticate the signature => signature-verification]].
 
+h2. Other
+
+Please note that we only provide support for the above versions of Debian and Ubuntu. You are welcome to try and get Bitmask running on another distribution. If you want to try, we recommend attempting to use the bundle (see below), or have a look at [[building it from source => https://leap.se/en/docs/get-involved/source]].
+
+*NOTE:*
+  Stand-alone bundles are useful if want to run Bitmask from a thumb drive. Or from a distribution which we don't support with packages.
+  There are two disadvantages to the stand-alone bundle:
+    * The Bitmask app will be less well integrated with the desktop environment.
+    * Running from the bundle is slower to start than via packages.
+
+@Bundle Installation@
+
+How do you tell if you running a 32 bit or 64 bit kernel? Run the following command:
+
+bc. uname -m
+
+If the result is:
+
+* @x86_64@, you have *64 bit*
+* @i686@, you have *32 bit*
+* @i386@, you have *32 bit*
+
+Then download the appropriate version below:
+
+* 64 bit kernel
+
+<%= render({:partial => 'common/download_button'}, {:link => 'https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.bz2', :text => 'Download 64 bit'}) %>
+
+[[Signature file => https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.bz2.asc]]
+
+* 32 bit kernel
+
+<%= render({:partial => 'common/download_button'}, {:link => 'https://dl.bitmask.net/client/linux/stable/Bitmask-linux32-latest.tar.bz2', :text => 'Download 32 bit'}) %>
+
+[[Signature file => https://dl.bitmask.net/client/linux/stable/Bitmask-linux32-latest.tar.bz2.asc]]
+
+If you want to make sure that the Bitmask wasn't messed with during download you can [[authenticate the signature => signature-verification]].
+
 h2. Upgrading
 
 *From stand-alone bundles*: Bitmask should upgrade itself automatically (for versions equal or later than 0.7.0). If you are running a version prior to 0.7.0, you can download the new bundle and copy the "config" folder from the old bundle directory.